Skip to main content
GET
/
users
/
{identifier}
/
stream
Get a user's live-stream status
curl --request GET \
  --url https://teambattles.gg/api/v1/users/{identifier}/stream \
  --header 'Authorization: Bearer <token>'
{
  "stream": {
    "userId": "<string>",
    "isLive": true,
    "platforms": [],
    "primaryStream": {
      "streamUrl": "<string>",
      "title": "<string>",
      "gameName": "<string>",
      "viewerCount": 4503599627370495,
      "thumbnailUrl": "<string>",
      "startedAt": "<string>",
      "lastLiveAt": "<string>"
    }
  },
  "timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

Send your API key as: Authorization: Bearer tb_

Path Parameters

identifier
string
required

Username or Convex user ID.

Response

The user's live-stream status.

Stream status plus a response timestamp.

stream
object
required

API-safe live-stream status for a user.

timestamp
string
required

ISO 8601 timestamp.